#include "function.h"

risc::Function::Function(SgFunctionDefinition *ast_node):
  Definition(ast_node)
{
}

SgFunctionDefinition*
risc::Function::get_ast_node()
{
  return isSgFunctionDefinition(ast_node_);
}

std::string risc::Function::get_name()
{
  return SageInterface::get_name(get_ast_node());
}

std::string
risc::Function::get_ast_type_name()
{

  return isSgFunctionType(get_ast_node()->get_declaration()->get_type())->
    unparseToString();
}

/* ex: set softtabstop=2 tabstop=2 shiftwidth=2 expandtab: */
