#include "object.h"

risc::Object::Object(SgVariableDefinition *ast_node):
  Definition(ast_node)
{
  ast_type_pointer_ = ast_node->get_vardefn()->get_typeptr();
}

SgVariableDefinition*
risc::Object::get_ast_node()
{
  return isSgVariableDefinition(ast_node_);
}

std::string
risc::Object::get_name()
{
  return get_ast_node()->get_vardefn()->get_name().str();
}

/* ex: set softtabstop=2 tabstop=2 shiftwidth=2 expandtab: */
