#include "method.h"

risc::Method::Method(SgFunctionDefinition *ast_node):
  Function(ast_node)
{
}

void risc::Method::print_event_list()
{
  for(int i=0; i < static_sensitivity_list_.size(); i++) {

    std::cout << static_sensitivity_list_.at(i)->get_name();

    // true if it is not the last element
    if(i != static_sensitivity_list_.size()-1) {

      std::cout << ", ";
    }
  }
  std::cout << std::endl;
}

/* ex: set softtabstop=2 tabstop=2 shiftwidth=2 expandtab: */
